[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: svgalib libc6 (was: GS alladin 5.02 is out)

> On Wed, Aug 06, 1997 at 05:37:38PM +0200, joost witteveen wrote:
> > > On Sun, Aug 03, 1997 at 10:45:27PM +0200, joost witteveen wrote:
> > > > As it's non-free, I don't want to play funny tricks to make it compile
> > > > for libc5, and as it should use svgalib, I cannot build it for libc6.
> > What version did you compile? The debian 1.2.10 release?
> > That one for sure doesn't compile on a mashine that is setup to
> > compile for libc6 stuff (I.e. has the hamm gcc, and libc6-dev installed).
> > 
> > Or the "official" 1.2.11? That one apparently is different from
> > the 1.2.11 I've been testing, and apparently the official 1.2.11
> > apparently does compile and work OK.
> I only have the version from hamm. It just worked! How are you testing
> it to get a segfault -- does it segfault immediately, or only on
> particular things? I have viewed PS and PDF files in both x11
> (with gv) and svgalib successfully with it. I used 5.02,
> and linked against the shared (Debian) zlib and libpng.

And you recompiled gs too? If not, you're using the old libc5
stuff. Yes, that works.

Really, the version from hamm does not compile on a libc6-dev system.
Perioud. There are a several includes files missing, and it's got
several types wrong. You cannot have comiled the debian version from
hamm on a libc6 development system. You may have had libc6 installed,
but you compiled it with libc5 headers.

joost witteveen, joostje@debian.org
#!/usr/bin/perl -sp0777i<X+d*lMLa^*lN%0]dsXx++lMlN/dsM0<j]dsj
$/=unpack('H*',$_);$_=`echo 16dio\U$k"SK$/SM$n\EsN0p[lN*1
#what's this? see http://www.dcs.ex.ac.uk/~aba/rsa/

TO UNSUBSCRIBE FROM THIS MAILING LIST: e-mail the word "unsubscribe" to
debian-devel-request@lists.debian.org . 
Trouble?  e-mail to templin@bucknell.edu .

Reply to: